/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.agent.service.impl;

import lombok.RequiredArgsConstructor;

import org.springframework.stereotype.Service;

import top.continew.starter.extension.crud.service.impl.BaseServiceImpl;
import com.zayac.admin.agent.mapper.FinanceSumMapper;
import com.zayac.admin.agent.model.entity.FinanceSumDO;
import com.zayac.admin.agent.model.query.FinanceSumQuery;
import com.zayac.admin.agent.model.req.FinanceSumReq;
import com.zayac.admin.agent.model.resp.FinanceSumDetailResp;
import com.zayac.admin.agent.model.resp.FinanceSumResp;
import com.zayac.admin.agent.service.FinanceSumService;

/**
 * 财务报汇总业务实现
 *
 * @author zayac
 * @since 2024/06/04 17:10
 */
@Service
@RequiredArgsConstructor
public class FinanceSumServiceImpl extends BaseServiceImpl<FinanceSumMapper, FinanceSumDO, FinanceSumResp, FinanceSumDetailResp, FinanceSumQuery, FinanceSumReq> implements FinanceSumService {}