/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.constant;

/**
 * 三方接口请求URL路径常量
 *
 * @author zayac
 * @since 2024/05/19 12:29
 */
public class ApiPathConstants {

    /**
     * BANNER_URL 对应页面上的banner
     */
    public static final String BANNER_URL = "/agent/api/v1/front/banner";

    /**
     * VISUAL_LIST_URL 对应页上的图表信息
     */
    public static final String VISUAL_LIST_URL = "/agent/api/v1/front/getAgentDataVisualList";

    /**
     * MEMBER_LIST_URL 会员管理页面
     */
    public static final String MEMBER_LIST_URL = "/agent/api/v1/member/list";

    /**
     * MEMBER_LIST_URL 点击会员详情页面
     */
    public static final String MEMBER_DETAIL_URL = "/agent/api/v1/member/detail";
    /**
     * PAY_RECORD_URL 下级管理 存款记录页面
     */
    public static final String PAY_RECORDS_LIST_URL = "/agent/api/v1/payRecords/list";

    /**
     * PAY_RECORD_LIST_URL 查询单个会员的存款记录 查询注册但存款失败用户
     * res:{'data': {'page': 1, 'pageNum': 0, 'pageSize': 15, 'total': 0, 'list': [], 'orderAmountTotal': '0',
     * 'rebateAmountTotal': '0', 'scoreAmountTotal': '0'}, 'message': '未找到数据', 'status_code': 6000}
     */
    public static final String PAY_RECORD_LIST_URL = "/agent/api/v1/member/payRecordList";

    /**
     * FINANCE_STATEMENT_URL 财务报表
     */
    public static final String FINANCE_STATEMENT_URL = "/agent/api/v1/finance/excel/total";

    /**
     * MEMBER_TEAM_LIST_URL 团队会员
     */
    public static final String MEMBER_TEAM_LIST_URL = "/agent/api/v1/member/teamList";

    /**
     * 团队信息
     */
    public static final String TEAM_LIST_URL = "/agent/api/v1/team/list";

    /**
     * 团队财务报表
     */
    public static final String TEAM_FINANCE_EXCEL = "/agent/api/v1/finance/excel/team";

    /**
     * 活跃会员
     */
    public static final String ACTIVE_LIST = "/agent/api/v1/member/activeList";
}
