package com.zayac.admin.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActiveListReq {
    /**
     * 活跃类型
     */
    private Integer activeType;
    /**
     * 统计月份
     */
    @JsonFormat(pattern = "yyyy-MM")
    private LocalDate date;

    /**
     * 是否重置
     */
    private Boolean isRest = false;

    /**
     * 会员名称
     */
    private String name;
    /**
     * 页码
     */
    @Builder.Default
    private int pageNum = 1;
    /**
     * 每页显示数据
     */
    @Builder.Default
    private int pageSize = 10;
    /**
     * 注册结束日期
     */
    private LocalDate registerEndDate;
    /**
     * 注册开始日期
     */
    private LocalDate registerStartDate;
    /**
     * 上级代理线
     */
    private String topAgentName;
}
