/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.resp;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Statics implements Serializable {
    /**
     * 日期
     */
    LocalDate staticsDate;
    /**
     * 代理id
     */
    Long agentId;
    /**
     * 代理类型
     */
    Integer agentType;
    /**
     * 代理推荐码
     */
    String agentCode;
    /**
     * 代理名称
     */
    String agentName;
    /**
     * 注册人数
     */
    Integer isNew;
    /**
     * 首存人数
     */
    Double firstDeposit;
    /**
     * 投注额
     */
    Double deposit;
    /**
     * 投注红利
     */
    Double depositPromo;
    /**
     * 取款
     */
    Double draw;
    /**
     * 返水
     */
    Double promo;
    /**
     * 返水比例
     */
    Double promoDividend;
    Double rebate;
    /**
     * 账号调整
     */
    Double adjust;
    /**
     * 风险等级
     */
    Double riskAdjust;
    /**
     * 有效投注额
     */
    Double bets;
    /**
     * 输赢
     */
    Double profit;
    /**
     * 总投注额
     */
    Double allBets;
    /**
     * 首存人数
     */
    Integer firstCount;
    /**
     * 存款人数
     */
    Integer countDeposit;
    /**
     * 取款人数
     */
    Integer countDraw;
    /**
     * 投注人数
     */
    Integer countBets;
    /**
     * 创建日期
     */
    LocalDateTime createdAt;
    /**
     * 更新日期
     */
    LocalDateTime updatedAt;
    /**
     * 老用户存款人数
     */
    Double oldDeposit;
    /**
     * 老用户存款金额
     */
    Integer oldDepositCount;
    /**
     * 新用户存款金额
     */
    Double newDeposit;
}