/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.resp;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Venue implements Serializable {
    //场馆id
    private Integer venueId;
    //场馆名称
    private String venueName;
    //游戏类型
    private Integer gameType;
    //盈利
    private BigDecimal profit;
    //场馆费用
    private BigDecimal thirdPartySpend;
    //返水
    private BigDecimal promo;
    //调整
    private BigDecimal riskAdjust;
    //净输赢
    private BigDecimal netProfit;
    //有效投注
    private BigDecimal netAmount;
    //返水百分比
    private Double commissionRate;
    private BigDecimal amount;
}
