/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.system.service;

import com.zayac.admin.common.model.resp.LabelValueResp;
import com.zayac.admin.system.model.entity.PlatformDO;
import top.continew.starter.extension.crud.service.BaseService;
import com.zayac.admin.system.model.query.PlatformQuery;
import com.zayac.admin.system.model.req.PlatformReq;
import com.zayac.admin.system.model.resp.PlatformDetailResp;
import com.zayac.admin.system.model.resp.PlatformResp;

import java.util.List;

/**
 * 平台业务接口
 *
 * @author zayac
 * @since 2024/05/14 12:28
 */
public interface PlatformService extends BaseService<PlatformResp, PlatformDetailResp, PlatformQuery, PlatformReq> {
    PlatformDO getByName(String name);

    PlatformDO getByPlatformId(Integer platformId);

    List<LabelValueResp<Long>> buildDict(List<PlatformResp> list);
}